Skip to main content
GET
/
v2
/
loyalties
/
incentives
List incentives
curl --request GET \
  --url https://api.voucherify.io/v2/loyalties/incentives \
  --header 'Authorization: Bearer <token>' \
  --header 'X-App-Id: <api-key>' \
  --header 'X-App-Token: <api-key>'
{
  "data": [
    {
      "id": "linc_abc123def456",
      "name": "<string>",
      "type": "POINTS",
      "status": "DRAFT",
      "stock": 1073741823,
      "created_at": "2023-11-07T05:31:56Z",
      "object": "<string>",
      "points": {
        "value": 4611686018427388000,
        "card_definition_id": "<string>"
      },
      "points_proportional": {
        "calculation_type": "PRE_DISCOUNT_ORDER_AMOUNT",
        "card_definition_id": "<string>",
        "order": {
          "amount": {
            "every": 4611686018427388000,
            "value": 4611686018427388000
          },
          "total_amount": {
            "every": 4611686018427388000,
            "value": 4611686018427388000
          },
          "metadata": {
            "every": 4611686018427388000,
            "value": 4611686018427388000,
            "property": "<string>"
          }
        },
        "customer": {
          "metadata": {
            "every": 4611686018427388000,
            "value": 4611686018427388000,
            "property": "<string>"
          }
        },
        "order_items": {
          "amount": {
            "every": 4611686018427388000,
            "value": 4611686018427388000,
            "applicable_to": [
              {
                "type": "product",
                "product": {
                  "id": "<string>"
                },
                "sku": {
                  "id": "<string>"
                },
                "products_collection": {
                  "id": "<string>"
                }
              }
            ]
          },
          "subtotal_amount": {
            "every": 4611686018427388000,
            "value": 4611686018427388000,
            "applicable_to": [
              {
                "type": "product",
                "product": {
                  "id": "<string>"
                },
                "sku": {
                  "id": "<string>"
                },
                "products_collection": {
                  "id": "<string>"
                }
              }
            ]
          },
          "quantity": {
            "every": 4611686018427388000,
            "value": 4611686018427388000,
            "applicable_to": [
              {
                "type": "product",
                "product": {
                  "id": "<string>"
                },
                "sku": {
                  "id": "<string>"
                },
                "products_collection": {
                  "id": "<string>"
                }
              }
            ]
          }
        }
      },
      "material": {
        "type": "PRODUCT",
        "product": {
          "id": "<string>"
        },
        "sku": {
          "product_id": "<string>",
          "id": "<string>"
        }
      },
      "digital": {
        "type": "GIFT_VOUCHERS",
        "discount_coupons": {
          "campaign_id": "<string>"
        },
        "gift_vouchers": {
          "campaign_id": "<string>",
          "balance": 4611686018427388000
        }
      },
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ],
  "cursor": {
    "next": "<string>",
    "expires_at": "2023-11-07T05:31:56Z"
  },
  "object": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.voucherify.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

X-App-Id
string
header
required
X-App-Token
string
header
required

Query Parameters

limit
integer
default:10

Number of results per page (1–100, default 10).

Required range: 1 <= x <= 100
order

Sort order. Prefix with - for descending. Accepted fields: created_at, name, type.

Available options:
-created_at,
created_at,
name,
-name,
-type,
type
cursor
string

Cursor token for the next page (prefix: lcrsinc_).

Pattern: ^lcrsinc_[a-f0-9]+$
filters[junction]
enum<string>

Logical junction between filter conditions.

Available options:
AND,
OR
filters[id][conditions][$is]
string
Pattern: ^linc_[a-f0-9]+$
filters[id][conditions][$is_not]
string
Pattern: ^linc_[a-f0-9]+$
filters[id][conditions][$in]
string[]
Required array length: 1 - 100 elements
Pattern: ^linc_[a-f0-9]+$
filters[id][conditions][$not_in]
string[]
Required array length: 1 - 100 elements
Pattern: ^linc_[a-f0-9]+$
filters[name][conditions][$is]
string
filters[name][conditions][$is_not]
string
filters[name][conditions][$contains]
string
filters[name][conditions][$not_contain]
string
filters[name][conditions][$starts_with]
string
filters[name][conditions][$ends_with]
string
filters[name][conditions][$in]
string[]
Required array length: 1 - 10 elements
filters[name][conditions][$not_in]
string[]
Required array length: 1 - 10 elements
filters[status][conditions][$is]
enum<string>
Available options:
ACTIVE,
DRAFT
filters[status][conditions][$is_not]
enum<string>
Available options:
ACTIVE,
DRAFT
filters[status][conditions][$in]
enum<string>[]
Required array length: 1 - 10 elements
Available options:
ACTIVE,
DRAFT
filters[status][conditions][$not_in]
enum<string>[]
Required array length: 1 - 10 elements
Available options:
ACTIVE,
DRAFT
filters[type][conditions][$is]
enum<string>

Type of incentive. Determines which detail object is present in the response and required in create/update requests.

Available options:
POINTS,
POINTS_PROPORTIONAL,
MATERIAL,
DIGITAL
filters[type][conditions][$is_not]
enum<string>

Type of incentive. Determines which detail object is present in the response and required in create/update requests.

Available options:
POINTS,
POINTS_PROPORTIONAL,
MATERIAL,
DIGITAL
filters[type][conditions][$in]
enum<string>[]
Required array length: 1 - 10 elements

Type of incentive. Determines which detail object is present in the response and required in create/update requests.

Available options:
POINTS,
POINTS_PROPORTIONAL,
MATERIAL,
DIGITAL
filters[type][conditions][$not_in]
enum<string>[]
Required array length: 1 - 10 elements

Type of incentive. Determines which detail object is present in the response and required in create/update requests.

Available options:
POINTS,
POINTS_PROPORTIONAL,
MATERIAL,
DIGITAL
filters[created_at][conditions][$before]
string<date>
filters[created_at][conditions][$after]
string<date>

Response

A paginated list of incentives.

data
object[]
required
cursor
object
required

Cursor for fetching the next page of results.

object
string
required
Allowed value: "list"
Last modified on May 11, 2026